<?php

namespace Rtrs\Controllers\Ajax;
use Rtrs\Shortcodes\ReviewSchema;
use Rtrs\Helpers\Functions;

class Shortcode {
    public function __construct() {
        add_action('wp_ajax_rtrs_shortcode_layout_preview', array($this, 'shortcode_layout_preview')); 
        add_action('wp_ajax_rtrs_check_post_type', array($this, 'check_post_type'));  
    } 

    function shortcode_layout_preview() {  
        $shortcode_id = ( !empty( $_REQUEST['sc_id'] ) ) ? absint( $_REQUEST['sc_id'] ) : ''; 
        if ( $shortcode_id ) {  
            $params = array(
                'id' => $shortcode_id, 
            );
            ReviewSchema::output( $params );
        } 
        wp_send_json_success();
    } 

    function check_post_type() {  
        $post_type = ( !empty( $_REQUEST['post_type'] ) ) ? sanitize_text_field( $_REQUEST['post_type'] ) : '';

        if ( Functions::isEnableByPostType( $post_type ) ) {   
            wp_send_json_error();
        } else {
            wp_send_json_success();
        }
    } 
}