<?php 

if ( ! defined( 'ABSPATH' ) ) exit; 

/**
 * Media Settings
 */

$image_type = apply_filters( 'rtrs_media_image_type', array(
	'image/jpg' => esc_html__('jpg', 'review-schema'), 
	'image/jpeg' => esc_html__('jpeg', 'review-schema'), 
	'image/png' => esc_html__('png', 'review-schema'), 
	'image/gif' => esc_html__('gif', 'review-schema'),  
) );

$video_type = apply_filters( 'rtrs_media_video_type', array(
	'video/mp4' => esc_html__('mp4', 'review-schema'), 
	'video/m4v' => esc_html__('m4v', 'review-schema'), 
	'video/mov' => esc_html__('mov', 'review-schema'),  
	'video/wmv' => esc_html__('wmv', 'review-schema'),  
	'video/avi' => esc_html__('avi', 'review-schema'),  
	'video/mpg' => esc_html__('mpg', 'review-schema'),  
	'video/mov' => esc_html__('mov', 'review-schema'),  
	'video/ogv' => esc_html__('ogv', 'review-schema'),  
	'video/3gp' => esc_html__('3gp', 'review-schema'),  
	'video/3g2' => esc_html__('3g2', 'review-schema'),  
) );

$options = array(
	'img_section' => array(
		'title'  => esc_html__( 'Image Upload Settings', 'review-schema' ),
		'type'   => 'title', 
	), 
	'img_max_size'  => array(
        'title'   => esc_html__('Image Max Size', 'review-schema'),
        'type'    => 'number',  
        'default' => 1024,  
		'css'     => 'width: 70px',
		'description' => esc_html__('Change the value as KB, Like 1M = 1024KB', 'review-schema')
    ), 
	'img_type' => array(
		'title'   => esc_html__( 'Supported Image Type', 'review-schema' ),
		'type'    => 'multi_checkbox',
		'default' => array(
			'image/jpg',
			'image/jpeg',
			'image/png',
			'image/gif'  
		),
		'options' => $image_type
	),
	'video_section' => array(
		'title' => esc_html__( 'Video Upload Settings', 'review-schema' ),
		'type'  => 'title', 
	), 
	'video_max_size'  => array(
        'title'   => esc_html__('Video Max Size', 'review-schema'),
        'type'    => 'number',  
        'default' => 2048,  
		'css'     => 'width: 70px',
		'description' => esc_html__('Change the value as KB, Like 1M = 1024KB', 'review-schema')
    ),
	'video_type' => array(
		'title'   => esc_html__( 'Supported Video Type', 'review-schema' ),
		'type'    => 'multi_checkbox',
		'default' => array(
			'video/mp4',
			'video/m4v',
			'video/mov',
			'video/wmv',
			'video/avi',
			'video/mpg',
			'video/mov',
			'video/ogv',
			'video/3gp',
			'video/3g2', 
		),
		'options' => $video_type
	),
);

return apply_filters( 'rtrs_media_settings_options', $options );